function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import { BizDialog, ajax } from '@zgfe/business-lib';
import { Button } from 'antd';
import React, { useEffect } from 'react';
import './styles/relationMap.less';
import KinshipChart from '../../components/kinshipChart';
import apis from '../../constants/api';
import ConfigLoading from '../visualJob/create/configPanel/configLoading';
var DatasetRelationMap = function DatasetRelationMap(_ref) {
  var datasetId = _ref.datasetId,
    onClose = _ref.onClose;
  var _React$useState = React.useState(Math.random().toString()),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    id = _React$useState2[0],
    setId = _React$useState2[1];
  var _React$useState3 = React.useState(true),
    _React$useState4 = _slicedToArray(_React$useState3, 2),
    loading = _React$useState4[0],
    setLoading = _React$useState4[1];
  var _React$useState5 = React.useState(),
    _React$useState6 = _slicedToArray(_React$useState5, 2),
    dataSource = _React$useState6[0],
    setDataSource = _React$useState6[1];
  var classPrefix = 'dataset-relation-map';
  useEffect(function () {
    queryData();
  }, []);
  function queryData() {
    setLoading(true);
    ajax(apis.queryDatasetBlood, {
      method: 'get',
      params: {
        datasetId: datasetId
      }
    }).then(function (res) {
      if (!res) return;
      setDataSource(res.data);
    }).catch(function (err) {
      console.error('查看数据血缘失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  return /*#__PURE__*/React.createElement(BizDialog, {
    open: true,
    title: "\u6570\u636E\u8840\u7F18",
    footer: null,
    className: classPrefix,
    width: 720
  }, loading ? (/*#__PURE__*/React.createElement(ConfigLoading, null)) : (/*#__PURE__*/React.createElement(KinshipChart, {
    dataSource: dataSource,
    style: {
      height: '320px',
      background: '#FAFAFB',
      marginBottom: '24px'
    }
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      textAlign: 'right'
    }
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: onClose
  }, "\u786E\u5B9A")));
};
export default DatasetRelationMap;